petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSAdaptCheckStage

checks whether to accept a stage, (e.g. reject and change time step size if nonlinear solve fails or solution vector is infeasible)

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptCheckStage(TSAdapt adapt,TS ts,PetscReal t,Vec Y,PetscBool *accept)

Collective on TSAdapt

### Input Arguments

| adapt | - adaptive controller context
| ts | - time stepper
| t | - Current simulation time
| Y | - Current solution vector

### Output Arguments

accept -PETSC_TRUE to accept the stage, PETSC_FALSE to reject

### See Also

### Level

developer

### Location

src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages